Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.util
Class CatalogResourceManager

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.util.CatalogResourceManager

public abstract class CatalogResourceManager
extends java.lang.Object

Utility class used for accessing named Product Catalog resources within the `wlcs-catalog` `ResourceBundle` resource file.

See Also:
  `ResourceBundle`

Method Summary
`static java.lang.Integer` | `getInteger(java.lang.String key)` Get an Integer resource referenced by a key.
`static java.util.Enumeration` | `getKeys()` Get all the keys for the resource bundle.
`static java.lang.Object` | `getObject(java.lang.String key)` Get an Object resource referenced by a key.
`static java.sql.PreparedStatement` | `getPreparedStatement(java.sql.Connection con, java.lang.String key)` Create a PreparedStatemetn from a string resource referenced by a key.
`static java.lang.String` | `getString(java.lang.String key)` Get a string resource referenced by a key.
`static java.lang.String[]` | `getStringArray(java.lang.String key)` Get a string array resource referenced by a key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)
                                      throws java.util.MissingResourceException

  Get a string resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as a String
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found

### getInteger

    public static java.lang.Integer getInteger(java.lang.String key)
                                        throws java.util.MissingResourceException,
                                               java.lang.NumberFormatException

  Get an Integer resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as an Integer
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found
    java.lang.NumberFormatException - if the resource specified by the key is not valid

### getPreparedStatement

    public static java.sql.PreparedStatement getPreparedStatement(java.sql.Connection con,
                                                                  java.lang.String key)
                                                           throws java.util.MissingResourceException,
                                                                  java.sql.SQLException

  Create a PreparedStatemetn from a string resource referenced by a key.

  Parameters:
    `con` - the Database Connection
    `key` - the name of the resource
  Returns:
    the resource as a String
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found
    java.sql.SQLException - on statement preparation error

### getStringArray

    public static java.lang.String[] getStringArray(java.lang.String key)
                                             throws java.util.MissingResourceException

  Get a string array resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as a String[]
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found

### getObject

    public static java.lang.Object getObject(java.lang.String key)
                                      throws java.util.MissingResourceException

  Get an Object resource referenced by a key.

  Parameters:
    `key` - the name of the resource
  Returns:
    the resource as an Object
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found

### getKeys

    public static java.util.Enumeration getKeys()
                                         throws java.util.MissingResourceException

  Get all the keys for the resource bundle.

  Returns:
    the Enumeration of keys.
  Throws:
    java.util.MissingResourceException - if the resource bundle could not be found

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved